## org.apache.fop.fo.pagination
Interface SubSequenceSpecifier

All Known Implementing Classes:
  PageMasterReference, RepeatablePageMasterReference, SinglePageMasterReference, RepeatablePageMasterAlternatives

public interface SubSequenceSpecifier

Classes that implement this interface can be added to a PageSequenceMaster, and are capable of looking up an appropriate PageMaster.

Method Summary
`java.lang.String` `getNextPageMaster(int currentPageNumber, boolean thisIsFirstPage, boolean isEmptyPage)`
`void` `reset()` Called before a new page sequence is rendered so subsequences can reset any state they keep during the formatting process.

Method Detail

### getNextPageMaster

    public java.lang.String getNextPageMaster(int currentPageNumber,
                                              boolean thisIsFirstPage,
                                              boolean isEmptyPage)

### reset

    public void reset()

  Called before a new page sequence is rendered so subsequences can reset any state they keep during the formatting process.

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.